Releases: dasher-project/Dasher-Android
Release list
v0.1.21
What's new
Emoji keyboard 🎉 — a 😀 toggle beside the alphabet picker, on both surfaces:
- Main app: 😀 in the bottom bar, left of the alphabet picker
- IME keyboard: 😀 in the top bar (Float | 😀 | Hide); the editing strip stays a pure edit-action row
Tap 😀 to switch to the emoji tree (9 topical groups — two zoom levels to any emoji, including 👨👩👧 families and skin tones), tap Abc to return to your previous alphabet mid-sentence. The return alphabet is remembered across surfaces and restarts.
Keyboard opens where you left it — docked or floating, the choice now persists across shows. Docked stays the default.
DasherCore v0.2.26 underneath — brings the Emoji alphabet data.
Fixes since v0.1.20
- IME remembers dock/float mode (Heide's feedback: "start it directly as docked, like other keyboards do")
Full Changelog: v0.1.20...v0.1.21
v0.1.20
What's Changed
Full Changelog: v0.1.19...v0.1.20
v0.1.19
v0.1.18
What's Changed
Full Changelog: v0.1.17...v0.1.18
v0.1.17
What's Changed
- fix(ime): exitFloatingMode used LinearLayout.LayoutParams on the docked root (#43) by @willwade in #45
- fix(ime): floating window drag moves opposite horizontally on Samsung (#46) by @willwade in #47
- feat(ime): editing toolbar + adaptive dock height + floating resize (#48 #49 #50) by @willwade in #51
- ci: drop setup-android from release workflow by @willwade in #52
Full Changelog: v0.1.16...v0.1.17
v0.1.16
What's Changed
- fix: training bound to the engine-owned file; learning persists (#37) by @willwade in #38
- feat(editor): RFC 0019 — editable output field synced with the engine (#39) by @willwade in #40
- fix(training): review-loop on #38 — two-process migration lock, order, filters by @willwade in #41
- i18n: regenerate values-XX from the shared catalogue by @willwade in #42
Full Changelog: v0.1.15...v0.1.16
v0.1.15
What's Changed
- feat: alphabet index integration — locale-follow default + picker metadata by @willwade in #31
- fix(settings): stop wiping user settings on data re-extraction (DasherCore v0.2.10) by @willwade in #29
- DasherCore v0.2.19 (fixes #35) + font control to Customization (#34) by @willwade in #36
Full Changelog: v0.1.14...v0.1.15
v0.1.14
Fixes
- Input filter preference now survives restart (DasherCore v0.2.16) — the input method selected in Settings → Input is no longer silently reset on every launch
- Settings crash fixed — an invalid UTF-8 byte in a parameter description aborted the process when opening Settings
- Alphabet picker shows all 475 alphabets — was showing 1 (the engine wasn't realizing before the list was queried)
- Training data 51MB lighter — corpora capped at 400KB (character-level PPM plateaus well before this, and the trainer parses the entire file at alphabet load)
Includes DasherCore v0.2.14 + v0.2.16
- 150 alphabets trained on real Tatoeba sentences (was 48) — 91 training corpora from WorldAlphabets v0.1.1
- Lazy alphabet loading — engine startup 3-4× faster
- Colour-token normalization — all WorldAlphabets render weighted trees
What's Changed
- chore: bump DasherCore to v0.2.14 (complete) — 150 alphabets trained by @willwade in #32
- chore: bump DasherCore to v0.2.16 — input filter preference survives restart by @willwade in #33
Full Changelog: v0.1.13...v0.1.14
v0.1.13
What's Changed
- feat: passive update check for self-managed APK builds (RFC 0017) by @willwade in #26
- feat: cross-component settings sync via dasher_reload_settings (DasherCore v0.2.11) by @willwade in #30
Full Changelog: v0.1.12...v0.1.13
v0.1.12 — all 32 UI locales (RFC 0003)
What's Changed
- feat: values-XX generated from shared catalogue (RFC 0003) by @willwade
Notable changes
Dasher for Android now speaks 32 languages — the full DasherCore locale set. The UI chrome (toolbar, settings, dialogs, toasts) localises from a single shared catalogue at dasher-shared-resources. Translators edit one file; both Android and GTK pick it up. French is hand-reviewed; other locales are machine-translated seeds.
Also includes DasherCore v0.2.9 engine fixes: restart drift (canvas flinging on pause/resume), steering drift (auto-calibration no longer mislearns), and letter-family group colours restored.
Full Changelog: v0.1.11...v0.1.12